regina::StoreConstPtr< T > Class Template Reference
Miscellaneous Utilities

A Property storage policy indicating that the property should be held by constant pointer. More...

`#include <utilities/property.h>`

## Public Member Functions

| StoreConstPtr ()
| Constructor that sets the held pointer to 0. More...
void | clear ()
| Cleans up any currently held value before the property value is changed or cleared. More...
void | swap (StoreConstPtr< T > &other)
| Swaps this with the given value. More...

## Public Attributes

const typedef T * | InitType
| The type by which new values for the underlying property are passed. More...
const typedef T * | QueryType
| The type by which the property value is returned to the user. More...

## Protected Attributes

const T * | value_
| The held property value. More...

## Detailed Description

### template<typename T>
class regina::StoreConstPtr< T >

A Property storage policy indicating that the property should be held by constant pointer.

The property assignment and query routines will also use constant pointers, and the Property wrapper takes no responsibility for memory management of the held value.

See the Property class notes for details.

Python:\n Not present.

The documentation for this class was generated from the following file:

- utilities/property.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).